commit:     593581eca3db6d15f8de75e268b373a317627679
Author:     Gavin Howard <yzena.tech <AT> gmail <DOT> com>
AuthorDate: Fri Mar 19 03:11:36 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Mar 19 07:34:47 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=593581ec

sci-calculators/bc-gh: bump to 3.3.4

Signed-off-by: Gavin D. Howard <gavin <AT> yzena.com>
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 sci-calculators/bc-gh/Manifest           |  1 +
 sci-calculators/bc-gh/bc-gh-3.3.4.ebuild | 18 ++++++++++++++++++
 2 files changed, 19 insertions(+)

diff --git a/sci-calculators/bc-gh/Manifest b/sci-calculators/bc-gh/Manifest
index 6b52150c491..3b821cb9828 100644
--- a/sci-calculators/bc-gh/Manifest
+++ b/sci-calculators/bc-gh/Manifest
@@ -1,3 +1,4 @@
 DIST bc-3.3.0.tar.xz 229580 BLAKE2B 
0528d50f566fce648561276434eed45a82fb1dc2d3c56a684758daa866802e7a3781a0e0d6a0993cdc356b416f5ff998de5c51a5e203d2ff415d6b098fb1743a
 SHA512 
b8d0b6d6d9c5d4fc62df62d1b9b7e7006a8b430e063fe0d5f646cfaeb4c6fc9c7037b644e853b7ae7d5c5f42f079221e9cdc32564d70c9ddd6bb867ddc7056de
 DIST bc-3.3.2.tar.xz 228892 BLAKE2B 
013e4708afbe93b3a17ecce002a6e393cd53b28659fb66aec1d857f2d5bef97341b90ca119ba7efdee88545af95d2223e3a4cb0f1c3b04739496053e1c81c00a
 SHA512 
ae3e99c49137e1335c6c6c0f5a39a5488d174b98bdf85ce1c9311546ea093cd6ed2d8d0a3e6d401cdf093d509717ae01ec71e6e60d580e71101c673da5efc953
 DIST bc-3.3.3.tar.xz 229688 BLAKE2B 
7d06565161b37216f60d1037b48a254eb467f41a66170e2a6b8f188b33aeeabaf8568ebb66e402d5010aa5991a4a197ea746959808f5c3d2e94c4eab80c90f20
 SHA512 
dfdd8023453406d9f681e04da7acaad4459e632fded0f2edb2b51607438a27074935af6db4b3580120daf56e6b52283275d0c2c809380caa164957f1901e9dde
+DIST bc-3.3.4.tar.xz 230264 BLAKE2B 
38a6689a76c30127d5e27004c424cf4f9d1922129ab5235ab72f62f63f319e6b7d64c27a5f7a3ecd4a44001bb6eaa3990f5d0134548008233e7f28ae297f8fcd
 SHA512 
212b36a3fafbda28c6416d29e2d9e49272c42d95dcdc3bbbb3691e4686ca3f0a9fec883a099d059c5bd21a9b08bf5b2eff01169de20df9777c2fce66a8cda783

diff --git a/sci-calculators/bc-gh/bc-gh-3.3.4.ebuild 
b/sci-calculators/bc-gh/bc-gh-3.3.4.ebuild
new file mode 100644
index 00000000000..89c8c7658af
--- /dev/null
+++ b/sci-calculators/bc-gh/bc-gh-3.3.4.ebuild
@@ -0,0 +1,18 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Implementation of POSIX bc with GNU extensions"
+HOMEPAGE="https://github.com/gavinhoward/bc";
+SRC_URI="https://github.com/gavinhoward/bc/releases/download/${PV}/bc-${PV}.tar.xz";
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+S="${WORKDIR}/bc-${PV}"
+
+src_configure() {
+       EXECSUFFIX="-gh" PREFIX="${EPREFIX}/usr" ./configure.sh -GTl || die
+}

Reply via email to